Bug 471719 - Mass Stroage Device
Mass Stroage Device
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
12
All Linux
medium Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 23:03 EST by Ralf Corsepius
Modified: 2010-06-30 15:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 15:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-11-14 23:03:35 EST
Description of problem:
lsusb identifies my netbook's cardreader as

# lsusb -s 1:3
Bus 001 Device 003: ID 0bda:0158 Realtek Semiconductor Corp. Mass Stroage Device

Note "Mass Stroage" instead of "Mass Storage"

AFAIU, this originates from a series of "simple typos" in usb.ids 
(rsp. /usr/share/hwdata/usb.ids)

Version-Release number of selected component (if applicable):
Current rawhide w/ hwdata-0.220-1.fc10.noarch
Comment 1 Bug Zapper 2008-11-26 00:25:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Karsten Hopp 2009-01-28 06:41:45 EST
I've sent a patch upstream to fix this and hopefully this will be fixed the
next time I update the usb list.
Comment 3 Stephen J. Gowdy 2009-06-20 02:33:47 EDT
Now applied.
Comment 4 Bug Zapper 2009-11-18 04:22:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ralf Corsepius 2009-11-18 10:00:04 EST
Bug is still present in FC12

# lsusb -s 1:3
Bus 001 Device 003: ID 0bda:0158 Realtek Semiconductor Corp. Mass Stroage Device

Stepan, the subject "Mass Stroage Device" had been intentional.
Comment 6 Stephen J. Gowdy 2009-11-18 10:17:52 EST
The current release of usbutils uses the usb.ids file generated six days before the patch was applied... Hmm, although perhaps hwdata is where the file comes from on Fedora?
Comment 7 Stepan Kasal 2009-11-19 04:49:41 EST
(In reply to comment #5)
> Stepan, the subject "Mass Stroage Device" had been intentional.  

I'm sorry.
Comment 8 Ralf Corsepius 2010-06-30 15:09:23 EDT
Seems fixed in FC13.

# lsusb -s 1:3
Bus 001 Device 003: ID 0bda:0158 Realtek Semiconductor Corp. USB 2.0 multicard reader

Note You need to log in before you can comment on or make changes to this bug.